/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: DacConsoleListenerFactory.java,v 1.2 2005/09/07 13:38:06 rampil Exp $
 */
package org.logical_paradox.vsan.tools.console;

import org.logical_paradox.console.Document;
import org.logical_paradox.console.event.KeyPressListener;
import org.logical_paradox.console.event.ListenerFactory;
import org.logical_paradox.console.event.history.HistoryKeyPressListener;

/**
 * リスナーファクトリのリファレンス実装
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class DacConsoleListenerFactory implements ListenerFactory {
	/**
	 * キープレスリスナーを生成します
	 * @param p 親コンポーネント
	 * @return 生成されたリスナー
	 */
	public KeyPressListener getKeyPressListener(Document d) {
		try {
			return new HistoryKeyPressListener(d, new DacShell());
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}

}
